Run in Apidog
Creates a new contract based on an existing one, preserving most settings. The original contract will be marked as Renewed and linked to the new contract. The new contract will be created in Draft status.
Request Body Params application/json-patch+json
{
"startDate" : "2019-08-24T14:15:22.123Z" ,
"endDate" : "2019-08-24T14:15:22.123Z" ,
"totalValue" : 0 ,
"terms" : "string"
} Request Code Samples
curl --location --request POST 'https://platform.shopranos.eu/api/v1/contracts//renew' \
--header 'x-companyid;' \
--header 'x-user-id;' \
--header 'Content-Type: application/json-patch+json' \
--data-raw '{
"startDate": "2019-08-24T14:15:22.123Z",
"endDate": "2019-08-24T14:15:22.123Z",
"totalValue": 0,
"terms": "string"
}' Responses application/json
Contract renewed successfully.
{
"newContractId" : "string" ,
"newContractNumber" : "string" ,
"originalContractId" : "string"
}
Modified at 2026-03-16 11:47:32